List Data Points

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Visible API MCP server": {
    "url": "https://docs.visible.vc/mcp"
  }
}

Close
GET /data_points

Returns a paginated collection of data points for one or more metrics. Each data point stores a metric value for a reporting period. The date is always an ISO 8601 calendar date and represents the start of that period. For investor portfolio metrics using fiscal periods, interpret date using the portfolio company's fiscal_year_end_month.

Query parameters

  • metric_id string(uuid) | array[string(uuid)] Required

    ID of a metric or an array of metric IDs

  • page integer

    Page number

    Minimum value is 1. Default value is 1.

  • page_size integer

    Number of data points per page (between 1 and 100)

    Minimum value is 1, maximum value is 100. Default value is 25.

  • start_date string(date)

    Beginning of date range (ISO 8601 date)

  • end_date string(date)

    End of date range (ISO 8601 date)

  • exclude_blank string

    When set to 'true', excludes data points without a value

    Values are true or false. Default value is false.

  • include_source string

    Experimental. When set to 'true', includes a source object on each data point derived from its latest changelog version.

    Values are true or false. Default value is false.

Responses

  • 200 application/json

    Successfully retrieved data points

    Hide response attributes Show response attributes object
    • data_points array[object]
      Hide data_points attributes Show data_points attributes object
      • id string(uuid) Required

        Unique identifier for the data point

      • date string(date) Required

        Date for this data point (ISO 8601 format)

      • value string Required

        Value of the metric for this date (stored as string for precision)

      • metric_id string(uuid) Required

        ID of the associated metric

      • source object

        Experimental. Provenance of the data point value. Only present when include_source=true is requested.

        Hide source attributes Show source attributes object
        • source_type string Required

          Origin of the data point value

          Values are ai_inbox, update_request, user_provided, or unknown.

        • label string Required

          Human-readable description of the source

        • visible_url string(uri) | null Required

          Deep link to the source in Visible, when available

    • meta object
      Hide meta attributes Show meta attributes object
      • total integer Required

        Total number of items across all pages

      • total_pages integer Required

        Total number of pages

      • page integer Required

        Current page number

  • 400 application/json

    Bad Request - The request is invalid or malformed

    Hide response attribute Show response attribute object
    • errors array[object] Required

      Single error item. Different error types can include different fields.

      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required

      Single error item. Different error types can include different fields.

      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required

      Single error item. Different error types can include different fields.

      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

GET /data_points
curl \
 --request GET 'https://api.visible.vc/data_points?metric_id=cad09a10-73e8-4205-ae67-4e6156f37be8' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data_points": [
    {
      "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
      "date": "2021-02-01",
      "value": "100.99",
      "metric_id": "cad09a10-73e8-4205-ae67-4e6156f37be8"
    },
    {
      "id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3",
      "date": "2021-01-01",
      "value": "100000.00",
      "metric_id": "cad09a10-73e8-4205-ae67-4e6156f37be8"
    }
  ],
  "meta": {
    "total": 2,
    "total_pages": 1,
    "page": 1
  }
}
Response examples (400)
{
  "errors": [
    {
      "type": "parameter_invalid",
      "field": "filter",
      "message": "must be an object"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}